<!--Función a ejecutar al enviar el formulario -->
<form (ngSubmit)="onSubmit()" #projectForm="ngForm">
  <div class="form-group">
    <label for="name">Name</label>
    <!--Input -->
    <input [(ngModel)]="project.name" name="name" class="form-control"
    placeholder="Enter Name" required #name="ngModel" minlength="10">
    <div [hidden]="name.valid || name.pristine" *ngIf="name.errors"
     class="alert alert-danger">
       <div *ngIf="name.errors.required">
         Name is required.
        </div>
        <div *ngIf="name.errors.minlength">
          Name must be at least 10 characters long.
         </div>
    </div>
  </div>
  <div class="form-group">
    <label for="professorId">Professor</label>
    <!--Select que carga los opciones de el atributo profesores -->
    <select [(ngModel)]="project.professorId" name="professorId" class="custom-select" required #professor="ngModel">
        <option *ngFor="let professor of professors" [ngValue]="professor.id">
            {{professor.firstname}} {{professor.lastname}}
        </option>
    </select>
    <div [hidden]="professor.valid || professor.pristine" *ngIf="professor.errors"
     class="alert alert-danger">
       <div *ngIf="professor.errors.required">
         Professor is required.
        </div>
    </div>
  </div>
  <div class="form-group">
    <label for="year">Year</label>
    <!--Input -->
    <input [(ngModel)]="project.year" name="year" class="form-control" placeholder="Enter Year" required type="number" #year="ngModel">
    <div [hidden]="year.valid || year.pristine" *ngIf="year.errors"
     class="alert alert-danger">
     <div *ngIf="year.errors.required">
       Year is required and must be a number.
      </div>
    </div>
  </div>
  <!--Boton de envío -->
  <button type="submit" class="btn btn-success" [disabled]="!projectForm.form.valid">Send</button>

</form>
